### Method

# GLib VariantType copy

#### Declaration

    GVariantType*
    g_variant_type_copy (
      const GVariantType* type
    )

#### Description

Makes a copy of a `GVariantType`. It is appropriate to call `g_variant_type_free()` on the return value. `type` may not be `NULL`.

#### Return value

Type: `GVariantType`

A new `GVariantType`

Since 2.24.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.